<?php include ('header.php');
if (!defined('beerman')) {
    exit();
}
?>
<span class="top-bl-s-verh">Конкурсы на <?=$sitename ?></span>
<div class="menucenter-top1">
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
!!! ВНИМАНИЕ !!! Не делайте платежей на последних минутах перед окончанием конкурса
Смотрите время исключительно на сайте!<br>
</td></tr>
</table>
<h2>Активные конкурсы</h2>
<?PHP
$prov_kon = mysql_query("SELECT `id`, `type`, `startdate`, `enddate`, `minimal`, `price1`, `price2`, `price3`, `mesto1`, `mesto2`, `mesto3` FROM `b_comp` WHERE `startdate`<='".time()."' AND `enddate`>='".time()."' ORDER BY `id` DESC");
if(mysql_num_rows($prov_kon) > 0) {
    while($prov_row = mysql_fetch_assoc($prov_kon)){
    $end_date = $prov_row['enddate'];
    if($prov_row['mesto1'] == 1){ $opl1 = $sitevalname; }else{ $opl1 = "шт."; }
    if($prov_row['mesto2'] == 1){ $opl2 = $sitevalname; }else{ $opl2 = "шт."; }
    if($prov_row['mesto3'] == 1){ $opl3 = $sitevalname; }else{ $opl3 = "шт."; }
    if(time() <= $end_date) {
        ?><div style='padding:15px;'>
        Конкурс на рекламодателя динамических ссылок<br />
		Учитывается оплата динамических ссылок со всех платёжных систем кроме рекламного счёта.<br /><br />
		Призы начисляются на основной счёт и могут быть выведены вами из системы.<br />
        Минимум для участия и получения приза составляет <?=$prov_row['minimal']." $stsu";?> Руб.
        <br />
        <h4 style="color: #94AD24;">Призы</h4>
        1-e место <b><?=$prov_row['price1'] . ' ' . $opl1?> + 30 баллов.</b><br>
        2-e место <b><?=$prov_row['price2'] . ' ' . $opl2?> + 20 баллов.</b><br>
        3-e место <b><?=$prov_row['price3'] . ' ' . $opl3?> + 10 баллов.</b><br><br>
        <center><font color="#000000">Время проведения с <b><?=date("d-m-Y",$prov_row['startdate'])?></b> по <b><?=date("d-m-Y",$prov_row['enddate'])?> не включительно!</b></font></center><br />
        <h2>Лидеры конкурса</h2>
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tab">
             <tr>
                <td class="lt" style="background: #ebebeb;" align="center" width="60">Место</td>
                <td class="lt" style="background: #ebebeb;" align="center">Логин</td>
                <td class="lt" style="background: #ebebeb;" align="center" width="120">Набрано</td>
             </tr>
            <?
            $lider_kon = mysql_query("SELECT * FROM `b_compdata` WHERE `id_user`!='1' AND `id_user`!='540' AND `idk`='".$prov_row["id"]."' ORDER BY `resvalue` DESC LIMIT 10");
            if(mysql_num_rows($lider_kon) > 0) {
                for ($i = 1; $i <= mysql_num_rows($lider_kon); $i++) {
                    $lider_row = mysql_fetch_array($lider_kon);
                    if ($i <= 3) {
                        $tabclass = 'style="background:#E0F1AA; color:#616C21"';
                    } else {
                        $tabclass = 'style="background:#ffffff; color:#1c62b9"';
                    }
                    $lider_username = mysql_fetch_array(mysql_query("SELECT `username` FROM `b_users` WHERE `id` = '".$lider_row["id_user"]."'"));
					$money = $lider_row['resvalue'];
                    $short_link = substr($money, 0, 6);
                    ?>
                    <tr>
                        <td class="rt" align="center" <?=$tabclass?>><?=$i?></td>
                        <td class="rt" align="center" <?=$tabclass?>><?=$lider_username['username']?></td>
                        <td class="rt" align="center" <?=$tabclass?>><?=$short_link?></td>
                    </tr>
                    <?
                }
            }
            ?>
        </table></div><br>
        <?
    }else{
        echo '<center><h4 style="color:#800000; font-weight:bold">Активных конкурсов нет</h4></center>';
    }
  }
} else {
    echo '<center><h4 style="color:#800000; font-weight:bold">Активных конкурсов нет</h4></center>';
}
?>
<style>
table.tab {
background: none repeat scroll 0 0 #badaa3;
border-radius: 3px;
box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2) inset;
margin-bottom: 5px;
padding: 5px 0;
}
table.tab td.rt {
    color: #113B5B;
    font-size: 11px;
    padding: 5px 10px;
}
table.tab td {
    background: none repeat scroll 0 0 #FDFDFD;
}
</style>
<center><h2 style="color:#A82B12;">Завершенные конкурсы</h2></center>
<?PHP
$sql = mysql_query("SELECT * FROM `b_comp` WHERE `enddate`<='".time()."' AND `id` IN (SELECT `idk` FROM `b_compdata`) ORDER BY `id` DESC");
if(mysql_num_rows($sql) > 0) {
while($row = mysql_fetch_assoc($sql)){
?>
        <table width="100%" border="0" cellpadding="0" cellspacing="1" class="tab">
        <tr>
            <td colspan="5" style="background: #E8EA91; color: #1c62b9; font-weight: bold;" class="lt" align="center">
            <?
            switch($row['type']){
            case 1:echo "Конкурс рефералов";break;
            case 2:echo "Конкурс рекламодателей";break;
            case 3:echo "Конкурс заданий";break;
            }
        ?>
            </td>
        </tr>
        <tr>
            <td class="lt" style="background: #ebebeb;" align="center">№ конкурса</td>
            <td class="lt" style="background: #ebebeb;" align="center">Пользователь</td>
            <td class="lt" style="background: #ebebeb;" align="center">Приз</td>
            <td class="lt" style="background: #ebebeb;" align="center">Состояние</td>
        </tr>
        <?
        $sql_l = mysql_query("SELECT * FROM `b_compdata` WHERE `id`!='1' AND `id_user`!='540' AND `idk` = '".$row['id']."' ORDER BY `resvalue` DESC LIMIT 3");
        $numer = 0;
        while($row_l = mysql_fetch_assoc($sql_l)){
        $lidname = mysql_result(mysql_query("SELECT `username` FROM `b_users` WHERE `id`='".$row_l["id_user"]."'"),0,0);
        $numer += 1;
        if ($row ["status$numer"] == 0) {
            $usoplata = '<font color="#800000">не оплачено</font>';
        } else {   
            $usoplata = '<font color="#84AC0B">оплачено</font>';
        }
        echo '<tr>';
        echo '<td class="rt" align="center" rowspan="3">'.$row['id'].'</td>';
        echo '<td class="rt" align="center">'.$lidname.'</td>';
        echo '<td class="rt" align="center">'.$row["price".$numer].'</td>';
        echo '<td class="rt" align="center">'.$usoplata.'</td>';
        echo '</tr>';
        }
   echo "</table>";
 }
} else {
?>
<center><h4 style="color:#800000; font-weight:bold">Завершенных конкурсов нет</h4></center>
<?
}
?>
<script Language="JavaScript">
var hours = <?php echo date("H"); ?>;
var min = <?php echo date("i"); ?>;
var sec = <?php echo date("s"); ?>;
function display() {
sec+=1;
if (sec>=60){
min+=1;
sec=0;
}
if (min>=60){
hours+=1;
min=0;
}
if (hours>=24) hours=0;
if (sec<10){
sec2display = "0"+sec;
}else{
sec2display = sec;
}

if (min<10){
min2display = "0"+min;
}else{
min2display = min;
}
if (hours<10){
hour2display = "0"+hours;
}else{
hour2display = hours;
}
document.getElementById("seconds").innerHTML = hour2display+":"+min2display+":"+sec2display;
setTimeout("display();", 1000);
}
display();
</script></div>
<?php include ('footer.php'); ?>